package com.huimv.center;

import com.huimv.center.server.RegisterServer;
import com.huimv.center.server.RegisterServer2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@MapperScan("com.huimv.center.mapper")
public class HuimvRegistrationCenterApplication {
    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext = SpringApplication.run(HuimvRegistrationCenterApplication.class, args);
        // 启动RegisterServer
        applicationContext.getBean(RegisterServer2.class).run();
    }
}
