package com.huimv.center.service;

import com.huimv.center.pojo.BizDeviceUnregisteredFlow;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-22
 */
public interface BizDeviceUnregisteredFlowService extends IService<BizDeviceUnregisteredFlow> {

    Result addDeviceUnregisteredFlow(String chipId) throws ParseException;

    Result listDeviceUnregisteredFlow(Integer pageNo, Integer pageSize, String chipId);

    Result removeByChipIdAndLastTime(String farmCode,String chipId,String startDate,String endDate);

    Result listByFarmCode(Integer parseInt, Integer parseInt1, String chipId, String startDate, String endDate);

    Result listChipId(Integer parseInt, Integer parseInt1, String chipId, String startDate, String endDate);

    Result removeById(String ids);
}
