package com.huimv.center.utils;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Const {
    // 已注册队列、交换机、绑定关系
    public final static String QUEUE_DEVICE_REGISTERED = "topic.deviceRegistered.queue";
    public final static String EXCHANGE_DEVICE_REGISTERED = "topic.deviceRegistered.exchange";
    public final static String ROUTING_KEY_DEVICE_REGISTERED = "topic.deviceRegistered.routeKey";

    // 未注册队列、交换机、绑定关系
    public final static String QUEUE_DEVICE_UNREGISTERED = "topic.deviceUnregistered.queue";
    public final static String EXCHANGE_DEVICE_UNREGISTERED = "topic.deviceUnregistered.exchange";
    public final static String ROUTING_KEY_DEVICE_UNREGISTERED = "topic.deviceUnregistered.routeKey";

    // 应答队列、交换机、绑定关系
    public final static String QUEUE_DEVICE_ANSWER = "topic.deviceAnswer.queue";
    public final static String EXCHANGE_DEVICE_ANSWER = "topic.deviceAnswer.exchange";
    public final static String ROUTING_KEY_DEVICE_ANSWER = "topic.deviceAnswer.routeKey";

    // 同步注册设备信息
    public final static String QUEUE_SYNC_DEVICE = "topic.syncDevice.queue";
    public final static String EXCHANGE_SYNC_DEVICE = "topic.syncDevice.exchange";
    public final static String ROUTING_KEY_SYNC_DEVICE = "topic.syncDevice.routeKey";

    public static final String QUEUE_ASK_CMD = "topic.askCmd.queue";
    public final static String EXCHANGE_ASK_CMD = "topic.askCmd.exchange";
    public final static String ROUTING_KEY_ASK_CMD = "topic.askCmd.routeKey";

    /**
     * 广播形式 同步注册设备信息
     */
    public final static String QUEUE_SYNC_DEVICE_FANOUT="fanout.syncDevice.queue";
    public final static String EXCHANGE_SYNC_DEVICE_FANOUT="fanout.syncDevice.exchange";
}
