package com.huimv.center.vo;

import lombok.Data;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * 行政区域数据树形返回对象
 * @author 静静
 */
@Data
@Component
public class BaseAreaVo implements Serializable {

    private static final long serialVersionUID=1L;

    private String name;

    private String code;

    private String parentCode;

    private List<BaseAreaVo> childBaseAreaVo;
}
