package com.huimv.center.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.eartag2.common.utils.Result;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class BizDeviceRegisteredFlowServiceTest {
    @Autowired
    private BizDeviceRegisteredFlowService deviceRegisteredFlowService;

    @Test
    public void testListDeviceRegisteredFlow(){
        Integer pageNo = 1;
        Integer pageSize = 10;
        String chipId = "";
        String deviceCode = "hz001b";
        Result result = deviceRegisteredFlowService.listDeviceRegisteredFlow( pageNo, pageSize, chipId,deviceCode);
        System.out.println("isSuccess>>"+result.isSuccess());
        Page page = (Page) result.getData();
        List list = page.getRecords();
        System.out.println("list.size="+list.size());
    }
}
