package com.huimv.center.service;

import com.huimv.center.pojo.BizDeviceAnswerFlow;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-22
 */
public interface BizDeviceAnswerFlowService extends IService<BizDeviceAnswerFlow> {

    Result addDeviceAnswer(String chipId, String deviceCode, String answer, String farmCode) throws ParseException;

    Result removeDeviceAnswer(String ids);

    Result listDeviceAnswer(Integer pageNo, Integer pageSize, String chipId, String deviceCode, String farmCode, String startDate, String endDate);

    Result removeDeviceAnswer(String farmCode, String chipId, String deviceCode, String startDate, String endDate);
}
