package com.huimv.center.service;

import com.huimv.center.pojo.BizDeviceRegister;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-21
 */
public interface BizDeviceRegisterService extends IService<BizDeviceRegister> {

    Result add(String farmName,String farmCode,String chipId, String deviceCode, String serverIp, String serverPort, String remark) throws ParseException;

    Result edit(Integer id, String chipId, String deviceCode, String serverIp, String serverPort, String remark) throws ParseException;

    Result remove(String ids);

    Result listAll(Integer pageNo, Integer pageSize, String farmName, String farmCode, String chipId, String deviceCode, String startDate, String endDate);

    Map getServerAndIpByChipId(String idCode);

    Result updateDeviceRegisterTimes(String chipId) throws ParseException;

    Result updateDeviceAnswerTimes(String chipId) throws ParseException;

    Result synchronizationData(Map<String, String> paramsMap);

    String getBizDeviceRegisterByFarmCode(String farmCode);
}
