package com.huimv.center.service;

import com.huimv.center.pojo.BizDeviceRegisteredFlow;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-22
 */
public interface BizDeviceRegisteredFlowService extends IService<BizDeviceRegisteredFlow> {

    Result addRegisteredFlow(String chipId, String deviceCode, String clientIp, String farmCode, String farmName) throws ParseException;

    Result removeDeviceRegisteredFlow(String ids);

    Result listDeviceRegisteredFlow(Integer pageNo, Integer pageSize, String chipId, String deviceCode);

    Result listDeviceRegisteredFlow(Integer pageNo, Integer pageSize,  String farmCode, String chipId, String deviceCode, String startDate, String endDate);

    Result removeDeviceRegisteredFlow(String farmCode, String chipId, String deviceCode, String startDate, String endDate);
}
