package com.huimv.center.service;

import com.huimv.center.pojo.BizFarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-21
 */
public interface BizFarmService extends IService<BizFarm> {

    Result save(String farmName, String farmCode, String linkman, String phone, String remark,String areaName) throws ParseException;

    Result edit(Integer id, String farmName, String farmCode, String linkman, String phone, String remark,String areaName) throws ParseException;

    Result remove(String ids);

    Result list(Integer pageNo, Integer pageSize, String farmName, String farmCode, String startDate, String endDate);

    /**
     *【查询】 通过农场编码
     */
    String getBizFarmByFarmCode(String farmCode);
}
