package com.huimv.center.service;

import com.huimv.center.pojo.BizRawData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-23
 */
public interface BizRawDataService extends IService<BizRawData> {

    Result addRawData(String askCmd) throws ParseException;

    Result listRawData(Integer pageNo, Integer pageSize, String searchText, String startDate, String endDate);

    Result remove(String ids);

    void syncFarmDeviceRegister(Map askMap);
}
