package com.huimv.center.service;

import com.huimv.eartag2.common.utils.Result;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.text.ParseException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class BizFarmServiceTest {
    @Autowired
    private BizFarmService farmService;

    @Test
    public void testAdd() throws ParseException {
        String farmName = "杭州慧牧牧场b";
        String farmCode = "hz001b";
        String linkman = "张经理b";
        String phone = "13312345678b";
        String remark = "备注b";
        String areaName = "曙光";
        Result result = farmService.save(farmName,farmCode,linkman,phone,remark,areaName);
        System.out.println("result>>"+result);
    }

    @Test
    public void testEdit() throws ParseException {
        String farmName = "杭州慧牧牧场2";
        String farmCode = "hz0012";
        String linkman = "张经理2";
        String phone = "133123456782";
        String remark = "备注2";
        String areaName = "余杭区";
        Result result = farmService.edit(1,farmName,farmCode,linkman,phone,remark,areaName);
        System.out.println("result>>"+result.toString());
    }

    @Test
    public void testRemove(){
        Result result = farmService.remove("8,9,12");
        System.out.println("result>>"+result.toString());
    }

}
